Package com.smartgwt.client.types

# Enum PercentBoxModel

java.lang.Object
java.lang.Enum<PercentBoxModel>
com.smartgwt.client.types.PercentBoxModel

All Implemented Interfaces:
  `ValueEnum`, `Serializable`, `Comparable<PercentBoxModel>`, `Constable`

public enum PercentBoxModel extends Enum<PercentBoxModel> implements ValueEnum
Determines sizing model when sizing / positioning a canvas relative to its `percentBox`.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `INNER`
  use coordinates relative to the `specified inner height` and width of the other canvas
  `SPECIFIED`
  use coordinates relative to the `specified height` and width of the other canvas.
  `VIEWPORT`
  use coordinates relative to the `drawn viewport height` and width of the other canvas
  `VISIBLE`
  use coordinates relative to the `drawn height` and width of the other canvas

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getValue()`
  `static PercentBoxModel`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static PercentBoxModel[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### VISIBLE

    public static final PercentBoxModel VISIBLE
    use coordinates relative to the `drawn height` and width of the other canvas

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "visible".

  - ### VIEWPORT

    public static final PercentBoxModel VIEWPORT
    use coordinates relative to the `drawn viewport height` and width of the other canvas

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "viewport".

  - ### SPECIFIED

    public static final PercentBoxModel SPECIFIED
    use coordinates relative to the `specified height` and width of the other canvas. For `overflow:"visible"` canvases this may be smaller than drawn size.

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "specified".

  - ### INNER

    public static final PercentBoxModel INNER
    use coordinates relative to the `specified inner height` and width of the other canvas

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "inner".

- ## Method Details

  - ### values

    public static PercentBoxModel[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static PercentBoxModel valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getValue

    public String getValue()
    Specified by:
      `getValue` in interface `ValueEnum`